%global enable_tests 0
%global module_name caller-path
Name:                nodejs-%{module_name}
Version:             4.0.0
Release:             1
Summary:             Get the path of the caller module
License:             MIT
URL:                 https://github.com/sindresorhus/caller-path
Source0:             https://github.com/sindresorhus/caller-path/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(fixture) npm(mocha)
%endif
%description
Get the path of the caller module. You can't use module.parent as modules are
cached and it will return the first caller module, not necessarily the current
one.

%prep
%autosetup -n caller-path-%{version}
rm -rf node_modules
cp -p %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon Oct 30 2023 xu_ping <707078654@qq.com> - 4.0.0-1
- Upgrade version to 4.0.0

* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 2.0.0-1
- Package init
